/**
 * @file bob/config.h.in
 * @author André Anjos <andre.anjos@idiap.ch>
 *
 * @brief Bob compile-time configuration flags
 *
 * Copyright (C) 2011-2013 Idiap Research Institute, Martigny, Switzerland
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef BOB_CONFIG_H 
#define BOB_CONFIG_H

#define BOB_VERSION "1.2.3"

#define BOB_API_VERSION 0x0102

#define BOB_PLATFORM "linux-x86_64-release"

#define HAVE_BLITZ_SPECIAL_TYPES 1

#define HAVE_BLITZ_TINYVEC2_H 1

/* #undef HAVE_GIFLIB_QUANTIZE_BUFFER */

#define WITH_FFMPEG 1

#define FFMPEG_VERSION "2.8.10"

#define HAVE_FFMPEG_AVFORMAT_ALLOC_OUTPUT_CONTEXT2 1

#define HAVE_FFMPEG_AVCODEC_AVCODECID 1

#define HAVE_FFMPEG_AVCOLOR_RANGE 1

#define WITH_MATIO 1

/* #undef HAVE_MATIO_OLD_COMPLEXSPLIT */

#define WITH_VLFEAT 1

#define WITH_LIBSVM 1

#define WITH_QT4 0

#define WITH_PERFTOOLS 0

#endif /* BOB_CONFIG_H */
